<?php
/**
 * Genesis Front Page Template
 */
 
add_action( 'genesis_meta', 'homepage_widgets' );

function homepage_widgets() {
	add_action( 'genesis_after_header', 'child_homepage_top_widgets' );
	add_action( 'genesis_before_footer', 'child_homepage_bottom_widgets', 5 );
}

//* Add homepage widgets
function child_homepage_top_widgets() {
	genesis_widget_area( 'fp-top', array(
		'before' => '<div id="fp-top" class="fp-wa fp-top"><div class="overlay"><div class="wrap">',
		'after'  => '</div></div></div>',
	) ); ?>

	<div class="frontpage-widget-sections"><div class="fp-ws-inner">
	<?php
	genesis_widget_area( 'fp-sec-1', array(
		'before' => '<div id="fp-sec-1" class="fp-wa fp-sec-1"><div class="overlay"><div class="wrap">',
		'after'  => '</div></div></div>',
	) );

	genesis_widget_area( 'fp-sec-2', array(
		'before' => '<div id="fp-sec-2" class="fp-wa fp-sec-2"><div class="overlay"><div class="wrap">',
		'after'  => '</div></div></div>',
	) );

	genesis_widget_area( 'fp-sec-3', array(
		'before' => '<div id="fp-sec-3" class="fp-wa fp-sec-3"><div class="overlay"><div class="wrap">',
		'after'  => '</div></div></div>',
	) );

	genesis_widget_area( 'fp-sec-4', array(
		'before' => '<div id="fp-sec-4" class="fp-wa fp-sec-4"><div class="overlay"><div class="wrap">',
		'after'  => '</div></div></div>',
	) );

	genesis_widget_area( 'fp-sec-5', array(
		'before' => '<div id="fp-sec-5" class="fp-wa fp-sec-5"><div class="overlay"><div class="wrap">',
		'after'  => '</div></div></div>',
	) );

	genesis_widget_area( 'fp-sec-6', array(
		'before' => '<div id="fp-sec-6" class="fp-wa fp-sec-6"><div class="overlay"><div class="wrap">',
		'after'  => '</div></div></div>',
	) ); 

	genesis_widget_area( 'fp-sec-7', array(
		'before' => '<div id="fp-sec-7" class="fp-wa fp-sec-7"><div class="overlay"><div class="wrap">',
		'after'  => '</div></div></div>',
	) );
	?>
	<div class="clearfix"></div>
	</div></div>
<?php	
}

function child_homepage_bottom_widgets() {
	
	genesis_widget_area( 'fp-bottom', array(
		'before' => '<div id="fp-bottom" class="fp-wa fp-bottom"><div class="overlay"><div class="wrap">',
		'after'  => '</div></div></div>',
	) );
	
}
 
genesis();